LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Desktop
User Name
Password
Linux - Desktop This forum is for the discussion of all Linux Software used in a desktop context.

Notices

Reply
 
Search this Thread
Old 06-15-2013, 07:49 AM   #1
djmoohit
LQ Newbie
 
Registered: Jun 2013
Posts: 7

Rep: Reputation: Disabled
HOw To Install Asterisk In Backtrack 5 r3


Hello Genius!

I Installed Backtrack In My Laptop Dell..
My Laptop Is Running As a Dual Boot Windows 7 Home Premium / Backtrack 5 R3

I Wanted To Know How to install ASTERISK In backtrack 5r3


i tried almost all the command to install asterisk in backtrack 5r3..

Unfortunately i m Unsuccessful To Install ASTERISK IN BACKTRACK.. Help me please

Could u Plz Tell ME HOw To Install asterisk inbacktrack5r3

Thanks In Advance
Regards:-Mohit khemchandani

Last edited by djmoohit; 06-15-2013 at 07:51 AM. Reason: Forgot To Mention SOme Line
 
Old 06-15-2013, 11:03 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,522

Rep: Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503
Quote:
How to install ASTERISK in Backtrack 5r3
apt-get update && apt-get install asterisk

If you have any problems with package install :
The basic repo for Backtrack 5 is "Ubuntu 10.04 Lucid" : Support ended a month ago.
This new '/etc/apt/sources.list' will do : EDIT : See post # 5.
Code:
deb http://old-releases.ubuntu.com/ubuntu/ lucid main restricted
deb http://old-releases.ubuntu.com/ubuntu/ lucid multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ lucid-updates main restricted
deb http://old-releases.ubuntu.com/ubuntu/ lucid-updates multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ lucid-backports main restricted
deb http://old-releases.ubuntu.com/ubuntu/ lucid-backports multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ lucid-security main restricted
deb http://old-releases.ubuntu.com/ubuntu/ lucid-security multiverse universe

Last edited by knudfl; 06-20-2013 at 07:50 AM.
 
1 members found this post helpful.
Old 06-15-2013, 02:52 PM   #3
John VV
Guru
 
Registered: Aug 2005
Posts: 12,669

Rep: Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683
As i recall there were warnings on the BT5 forum about NOT doing a "dist upgrade" on bt5
The apt pop up tells you to upgrade
But apparently that will kill almost all the software installed by "Offensive-Security"

and the programs will need to be rebuilt .
 
1 members found this post helpful.
Old 06-20-2013, 03:33 AM   #4
djmoohit
LQ Newbie
 
Registered: Jun 2013
Posts: 7

Original Poster
Rep: Reputation: Disabled
after this command ( apt-get install asterisk )
Im Getting error

Error! Bad return status for module build on kernel: 3.2.6 (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/dahdi/2.2.1+dfsg-1ubuntu2/build/ for more information.
dpkg: error processing dahdi-dkms (--configure):
subprocess installed post-installation script returned error exit status 10
dpkg: dependency problems prevent configuration of dahdi-linux:
dahdi-linux depends on dahdi-dkms | dahdi-source; however:
Package dahdi-dkms is not configured yet.
Package dahdi-source is not installed.
dpkg: error processing dahdi-linux (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of dahdi:
dahdi depends on dahdi-linux; however:
Package dahdi-linux is not configured yet.
dahdi depends on dahdi-dkms | dahdi-source; however:
Package dahdi-dkms is not configured yet.
Package dahdi-source is not installed.
dpkg: error processing dahdi (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of asterisk:
asterisk depends on dahdi; however:
Package dahdi is not configured yet.
dpkg: error processing asterisk (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because MaxReports is reached already
Errors were encountered while processing:
dahdi-dkms
dahdi-linux
dahdi
asterisk
E: Sub-process /usr/bin/dpkg returned an error code (1)


How TO Fix It Could u Plz Tell ME

Thanks in advance

regards:dj moohit
 
Old 06-20-2013, 06:24 AM   #5
TobiSGD
Moderator
 
Registered: Dec 2009
Location: Hanover, Germany
Distribution: Gentoo
Posts: 15,417
Blog Entries: 2

Rep: Reputation: 3995Reputation: 3995Reputation: 3995Reputation: 3995Reputation: 3995Reputation: 3995Reputation: 3995Reputation: 3995Reputation: 3995Reputation: 3995Reputation: 3995
Quote:
Originally Posted by knudfl View Post
apt-get update && apt-get install asterisk

If you have any problems with package install :
The basic repo for Backtrack 5 is "Ubuntu 10.04 Lucid" : Support ended a month ago.
This new '/etc/apt/sources.list' will do :
Code:
deb http://old-releases.ubuntu.com/ubuntu/ lucid main restricted
deb http://old-releases.ubuntu.com/ubuntu/ lucid multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ lucid-updates main restricted
deb http://old-releases.ubuntu.com/ubuntu/ lucid-updates multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ lucid-backports main restricted
deb http://old-releases.ubuntu.com/ubuntu/ lucid-backports multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ lucid-security main restricted
deb http://old-releases.ubuntu.com/ubuntu/ lucid-security multiverse universe
Sorry, but no. While Backtrack 5 is in fact based on Ubuntu it has certain packages replaced by their own packages. Enabling the Ubuntu repositories will break your Backtrack installation. This is clearly described in the Backtrack FAQ

So, to the original question. Backtrack (and its successor Kali) is a special purpose distribution, aimed at experts in security and penetration testing. So it is unlikely that you will find software like Asterisk in its repositories. If you want to use Asterisk you should use a general purpose distribution instead, like Debian or Ubuntu.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
CentOS-Asterisk- /var/spool/asterisk/monitor How to decipher who's call is who's? tananthulus Linux - Newbie 2 12-08-2009 04:50 AM
LXer: Installing The Asterisk PBX And The Asterisk Web-Based Provisioning GUI On Linu LXer Syndicated Linux News 0 09-25-2007 02:50 PM
How do I install asterisk on Debian divlad Linux - Software 5 06-11-2007 12:57 PM
asterisk configuration to make a call PC - PC through asterisk priya001 Linux - Server 0 11-08-2006 06:06 AM
LXer: VoIPowering Your Office with Asterisk: Shiny New Asterisk 1.4 LXer Syndicated Linux News 0 11-03-2006 06:54 AM


All times are GMT -5. The time now is 03:54 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration